View Issue Details

IDProjectCategoryView StatusLast Update
0022581mantisbtwebpagepublic2018-05-21 10:16
ReporterTomR Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Product Version2.2.1 
Summary0022581: horizontal scrollbar ( sometimes ) on different webpages in IE
Description

Only encountered on different versions of IE including latest IE11 and IE Edge.

On View Issues seen when a filter results in 0 records.
And for example in Manage Tages when no Tag is entered yet.

On Google Chrome this seems not an issue.

TagsNo tags attached.

Relationships

has duplicate 0022986 closedatrol Affichage list issue si pas d'issue 
has duplicate 0023226 closedatrol In IE 11 (but not FF), filtered list is unable if no records. 
has duplicate 0023923 closedatrol List of problems is not visible in Internet Explorer 11 
has duplicate 0024468 closedatrol Bad visualization of scroll bar in bug view 

Activities

TomR

TomR

2017-03-25 09:40

reporter  

horizontal-scrollbar-tags.png (47,949 bytes)   
horizontal-scrollbar-tags.png (47,949 bytes)   
atrol

atrol

2017-06-09 03:29

developer   ~0057050

Reproduced in IE and Edge.
Works with FF, Chrome and Safari.

Congo Bongo

Congo Bongo

2018-02-05 03:40

reporter   ~0058746

Is this problem fixed in newer release of Mantis or when it works with FF/Chrome, there is no problem?

atrol

atrol

2018-02-05 03:55

developer   ~0058748

Is this problem fixed in newer release of Mantis

The current status is set to confirmed, so the issue is not fixed.
It would be resolved or closed if it's fixed.

I don't know if this is a MantisBT or a IE/Edge bug.

Congo Bongo

Congo Bongo

2018-02-05 04:06

reporter   ~0058749

Of course it is MantisBT bug. All problems of OS, browsers or other low level software are solved in application/web software. I don't think the reason is very complex and hard to find and cannot understand why it is not fixed for more than half year.

atrol

atrol

2018-02-05 04:48

developer   ~0058750

Of course it is MantisBT bug.

Sure? Did you have a deeper look and can provide some details?

All problems of OS, browsers or other low level software are solved in application/web software.

Really? There are certainly enough of questionable workarounds in application/web software, but we would end in a complete mess
if All problems of OS, browsers or other low level software are solved this way.

I don't think the reason is very complex and hard to find

Did you start looking at it? If so, please provide your results.

and cannot understand why it is not fixed for more than half year.

It all depends on priority and a developer or community member deciding to spend their time on a specific issue.

Submitting a patch is always a good idea, as it increases the chances of improvement eventually making it into MantisBT core. All contributions are welcome and greatly appreciated.

Patch submissions can be made in several ways. In the order of preference:

  1. Send us a Pull Request on our Github repository [1]
  2. Attach a GIT patch to the issue
  3. Attach a Unified Diff, clearly specifying the patch's base release

Kindly avoid to upload entire modified PHP files.

Please make sure that your submissions adhere to our Coding Guidelines [2], if they don't your patch might be rejected.

[1] https://github.com/mantisbt/mantisbt
[2] http://www.mantisbt.org/wiki/doku.php/mantisbt:coding_guidelines

Congo Bongo

Congo Bongo

2018-02-05 05:03

reporter   ~0058751

  1. With this problem, Mantis BT is unusable with IE11 (not tested with Edge). Maybe you think that IE11/Edge users can be ignored and you will not waste time for them.

  2. Whether the real problem is in MantisBT or in special case in IE/Edge is not important. IE11 will not have updates. The only way is to handle the issue in MantisBT. If you don't understand this, the problem is your's. For that reason I wrote that the problem is in MantisBT.

  3. When a serious bug was found in first generation Pentium processors, most compilers provide library and option to fix it in software way. Do you think it is wrong? Tell customers "the problem is in Intel - our compiler is good" and do nothing. Do you support this way of thinking?

atrol

atrol

2018-02-05 06:01

developer   ~0058752

Last edited: 2018-02-05 06:02

View 3 revisions

The current issue is about

On View Issues seen when a filter results in 0 records.

You confirmed at 0023923:0058721 that we are talking about this issue

With this problem, Mantis BT is unusable with IE11

I am no longer sure if we are talking about the same problem.
The current issue is certainly just a cosmetic minor one and not unusable.
Do you see also an issue if filter results in > 0 records?

Maybe you think that IE11/Edge users can be ignored and you will not waste time for them

I don't think that IE11/Edge users can be ignored, but the issue is a minor one and has no priority for me.
Don't expect that other users invest time in minor issues where they are not affected.

There is nothing more than to repeat

It all depends on priority and a developer or community member deciding to spend their time on a specific issue.

.

IE11 will not have updates

IE11 is still even part of Windows 10, so I see no reason why there should be no updates.

When a serious bug was found in first generation Pentium processors ...

It's a bit comparing apples with oranges.
We are talking about software that can be fixed quite easy compared to this (btw, there was a real fix as there was an offer to replace the processor by one that comes with a fix)
I don't want to start a general neverending discussion about this topic at this place, so let's talk just about the IE11/Edge issue.

Congo Bongo

Congo Bongo

2018-02-05 06:46

reporter   ~0058753

The filter has 0 records but with FF there are 13 rows. Logged in the same system with same user.

atrol

atrol

2018-02-05 07:42

developer   ~0058754

The filter has 0 records but with FF there are 13 rows.

So this is another issue than the current one.
I will reopen 0023923 for it..

Issue History

Date Modified Username Field Change
2017-03-25 09:40 TomR New Issue
2017-03-25 09:40 TomR File Added: horizontal-scrollbar-tags.png
2017-03-25 09:40 TomR File Added: horizontal-scrollbar-view-issues.png
2017-06-09 03:29 atrol Status new => confirmed
2017-06-09 03:29 atrol Note Added: 0057050
2017-06-09 04:07 atrol Relationship added has duplicate 0022986
2017-08-16 09:03 atrol Relationship added has duplicate 0023226
2018-02-02 10:44 atrol Relationship added has duplicate 0023923
2018-02-05 03:40 Congo Bongo Note Added: 0058746
2018-02-05 03:55 atrol Note Added: 0058748
2018-02-05 04:06 Congo Bongo Note Added: 0058749
2018-02-05 04:48 atrol Note Added: 0058750
2018-02-05 05:03 Congo Bongo Note Added: 0058751
2018-02-05 06:01 atrol Note Added: 0058752
2018-02-05 06:02 atrol Note Edited: 0058752 View Revisions
2018-02-05 06:02 atrol Note Edited: 0058752 View Revisions
2018-02-05 06:46 Congo Bongo Note Added: 0058753
2018-02-05 07:42 atrol Note Added: 0058754
2018-02-05 07:42 atrol Relationship replaced related to 0023923
2018-02-05 09:21 atrol Relationship replaced has duplicate 0023923
2018-05-21 10:16 atrol Relationship added has duplicate 0024468